<apex:page showHeader="true" >
  <!-- Begin Default Content REMOVE THIS -->
  <h1>  Thank you for pushing the Activate/Update button, unfortunately we can not process your request at this time. Please return to your Opportunity / Property record and try again after the (2) two minute waiting period has expired.</h1>
<br></br><br></br>
The Activate/Update button may only be used once every (2) two minutes. When the Activate/Update button is pushed it sends various commands to Amdocs (our billing and provisioning system). Once Amdocs receives the data/command from Salesforce, it will open a work order to process the request. Amdocs will reply to Salesforce with a "Success" or "Error" response within 101 seconds (You may need to refresh your browser page / screen). A success reply indicates the command and data was accepted by the billing system. The work order itself my take an addition few minutes to complete. The system may only have (1) one work order open at a time. If we attempted to open a new work order while another work order is still being processed, it could cause the property record to become locked. This why we now have this timer.
<br></br><br></br><br></br><br></br>
<h2>Here is some additional information about the logic in this special button.</h2>
<br></br><br></br>
When pushed, the Activate/Update button will and in order:
<br></br><br></br>
1. Check if a Customer ID is on the Opportunity, if a Customer ID is not on the Opportunity, Salesforce will send the data/command to have a Customer created in the billing system.
<br></br><br></br>
2. If a Customer ID does exists, Salesforce will then check to see if a Site ID exists, if a Site ID is not on the Opportunity, Salesforce will send the data/command to have a Site ID created in the billing system.
<br></br><br></br>
3. If both a Customer ID and a Site ID already exists, Salesforce will check to see if any BULK Services or BULK Equipment are present and marked as ACTION = ADD on the Opportunity, if they are, Salesforce will check if a Service ID exists on the Opportunity, if the Service ID does not exists, Salesforce will send the data/command to have a Service ID created in the billing system. 
<br></br><br></br>
NOTE: This will also PRE-Activate the account in the billing system and authorize / TRIP / HIT any and all Equipment marked as Action = ADD.
<br></br><br></br>
4. If a Customer ID, a Site ID, and a Bulk Service ID already exist, Salesforce will check to see if any BULK EQUIPMENT or BULK SERVICE(S) are present and marked as ACTION = ADD or REMOVE on the Opportunity, if they are, Salesforce will send the data/command to the billing system to add or remove such equipment or services. 
<br></br><br></br>
5. If a Customer ID, a Site ID, and a Bulk Service ID already exist, Salesforce will check to see if any BULK EQUIPMENT or BULK SERVICE(S) are present and marked as ACTION = ADD or REMOVE on the Opportunity, if they are NOT, Salesforce will send a hello command to the billing system which should result in the billing system saying hello to Salesforce and the transaction updating to "Success".
<br></br><br></br>
  <!-- End Default Content REMOVE THIS -->
</apex:page>